package com.hssx.pcbms.service;

import com.hssx.pcbms.entity.Score;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;

import java.text.ParseException;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-02
 */
public interface ScoreService extends IService<Score> {

    HttpRespMsg add(Score score) throws ParseException;

    HttpRespMsg getList(Score score,PageUtil page);

    HttpRespMsg detail(Score score);

    HttpRespMsg getDetailByTimeAndUid(Score score,String time);

    HttpRespMsg scoringTaskNotice();

    HttpRespMsg del(Score score);
}
